=== debian/changelog ===
snappy-java (1.0.4.1~dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #636181)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Mar 2012 23:34:09 +0200
