=== debian/control ===
Source: snappy-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>,
Build-Depends: debhelper (>= 8), cdbs, default-jdk, maven-debian-helper (>= 1.4),
 xml-twig-tools, libsnappy-dev
Build-Depends-Indep: libmaven-bundle-plugin-java
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/debian-med/snappy-java.git
Vcs-Browser: http://git.debian.org/?p=debian-med/snappy-java.git
Homepage: http://code.google.com/p/snappy-java/ 

Package: libsnappy-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, ${shlib:Depends}, libsnappy1
Recommends: ${maven:OptionalDepends}
Description: Snappy for Java, a fast compressor/decompresser
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google. 
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).
