=== debian/watch ===
version=3
#http://googlecode.debian.net/p/snappy-java/snappy-java-(.*).tar.gz
opts=dversionmangle=s/\~dfsg// \
 http://code.google.com/p/snappy-java/downloads/list?can=1 \
  .*/snappy-java-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip) \
 debian debian/get-orig-source
