=== debian/changelog ===
snappy-java (1.1.1.7-1ubuntu1) wily; urgency=medium

  * Fix the build with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 16:15:46 +0200

snappy-java (1.1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Apr 2015 13:53:38 +0200

snappy-java (1.1.1.6-2) unstable; urgency=medium

  * Team upload.
  * libsnappy-jni can now be built independently of libsnappy-java
    (Closes: #780316)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Mar 2015 16:32:11 +0100

snappy-java (1.1.1.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Build and install the JNI bindings in libsnappy-jni (Closes: #734599)
    - Removed the patches modifying the unused Makefile
    - Removed the unused build dependency on xml-twig-tools
  * Build with DH instead of CDBS
  * Install the upstream changelog
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Updated the project URL
  * debian/watch: Watch the release tags on Github
  * Replaced debian/get-orig-source with debian/orig-tar.sh
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Nov 2014 09:50:13 +0100
