=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java
DEB_HOST_MULTIARCH   = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	sed -e 's/%VERSION%/$(DEB_UPSTREAM_VERSION)/g' debian/pom.xml > pom.xml
	dh_auto_configure

override_dh_auto_build-arch:
	# Build the JNI bindings
	mkdir -p target
	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) \
	    -I$(JAVA_HOME)/include/ \
	    -I$(JAVA_HOME)/include/linux \
	    -fPIC -shared -Wall -g \
	    -o target/libsnappyjava.so \
	    src/main/java/org/xerial/snappy/SnappyNative.cpp -lsnappy

override_dh_auto_install-indep:
	dh_auto_install
	dh_installchangelogs -plibsnappy-java Milestone.md

override_dh_auto_install-arch:
	dh_install -plibsnappy-jni target/*.so usr/lib/$(DEB_HOST_MULTIARCH)/jni

override_dh_auto_clean:
	-dh_auto_clean
	rm -f pom.xml

get-orig-source:
	uscan --download-current-version --rename --force-download
