## snappy-java 1.1.2

=== debian/changelog ===
snappy-java (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Oct 2015 09:37:51 +0200

snappy-java (1.1.1.7-2) unstable; urgency=medium

  * Team upload.
  * Fix the build with ld --as-needed (Closes: #797558)

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 16:15:46 +0200
