## snappy-java 1.1.2.1

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	git clone $(GIT_REPO_URL) $(SNAPPY_SRC_DIR)
 	git --git-dir=$(SNAPPY_SRC_DIR)/.git --work-tree=$(SNAPPY_SRC_DIR) checkout -b local/snappy-$(GIT_SNAPPY_BRANCH) $(GIT_SNAPPY_BRANCH)
 	touch $@
-	cd  $(SNAPPY_SRC_DIR) && ./configure
+	cd  $(SNAPPY_SRC_DIR) && ./autogen.sh && ./configure
 
 jni-header: $(SRC)/org/xerial/snappy/SnappyNative.h
