=== debian/changelog ===
snappy-java (1.1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version updated to 3.9.7 (no changes)
  * Fixed the build failure when building only libsnappy-jni (with debuild -B)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 25 Feb 2016 23:59:29 +0100

snappy-java (1.1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 Jan 2016 22:47:12 +0100
