=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Andreas Tille <tille@debian.org>,
 Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4), libsnappy-dev
 Build-Depends-Indep: libmaven-bundle-plugin-java
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/snappy-java.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/snappy-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java
 
@@ -16,12 +16,12 @@
 Depends: ${misc:Depends}, ${maven:Depends}, libsnappy-jni
 Description: Snappy for Java, a fast compressor/decompresser
  Java port of Snappy, a fast compresser/decompresser written in C++,
- originally developed by Google. 
+ originally developed by Google.
  .
  Snappy's main target is very high-speed compression/decompression with
  reasonable compression size. So the compression ratio of snappy-java is
  modest and about the same as LZF (ranging 20%-100% according to the
- dataset). 
+ dataset).
 
 Package: libsnappy-jni
 Architecture: any
