=== debian/watch ===
version=3
#http://googlecode.debian.net/p/snappy-java/snappy-java-(.*).tar.gz
https://github.com/xerial/snappy-java/tags .*/([\d\.]+).tar.gz debian debian/orig-tar.sh
