## snappy-java 1.1.2.4

=== debian/changelog ===
snappy-java (1.1.2.4-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2016 08:17:05 +0200

snappy-java (1.1.2.4-3) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Apr 2016 16:04:41 +0200
