## snappy-java 1.1.2.6

=== debian/changelog ===
snappy-java (1.1.2.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jun 2017 16:00:40 +0200

snappy-java (1.1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 3.9.8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jul 2016 14:08:48 +0200
