=== debian/changelog ===
snappy-java (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 12:31:38 +0200
