=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Tille <tille@debian.org>,
 Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4), libsnappy-dev
 Build-Depends-Indep: libmaven-bundle-plugin-java
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/snappy-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java
