=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 	    -o target/libsnappyjava.so \
 	    src/main/java/org/xerial/snappy/SnappyNative.cpp -lsnappy
 
+override_dh_auto_test-arch:
+
 override_dh_auto_install-indep:
 	dh_auto_install
 	dh_installchangelogs -plibsnappy-java Milestone.md
