=== debian/changelog ===
snappy-java (1.1.7.1+dfsg-1) unstable; urgency=medium

  * Turn exclusions of orig-tar.sh into Files-Excluded
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.4
  * Build-Depends: maven-debian-helper
  * Point Vcs-fields to Salsa
  * Drop content of NOTICE file from d/copyright and add the file
    separately
  * d/rules:
     - Drop get-orig-source target
     - Do not set DEB_HOST_MULTIARCH
     - Do not parse d/changelog
     - hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 08:38:10 +0200
