=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/xerial/snappy-java/tags .*/([\d\.]+).tar.gz
