## snappy-java 1.1.7.2

=== debian/changelog ===
snappy-java (1.1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Oct 2018 01:16:23 +0200
