=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libmaven-bundle-plugin-java,
  libsnappy-dev,
  maven-debian-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/java-team/snappy-java
 Vcs-Git: https://salsa.debian.org/java-team/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java
