=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME := /usr/lib/jvm/default-java
-DEB_HOST_MULTIARCH   = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/default.mk
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --buildsystem=maven
 
 override_dh_auto_configure:
-	sed -e 's/%VERSION%/$(DEB_UPSTREAM_VERSION)/g' debian/pom.xml > pom.xml
+	sed -e 's/%VERSION%/$(DEB_VERSION_UPSTREAM)/g' debian/pom.xml > pom.xml
 	dh_auto_configure
 
 override_dh_auto_build-arch:
@@ -36,6 +36,3 @@
 override_dh_auto_clean:
 	-dh_auto_clean
 	rm -f pom.xml
-
-get-orig-source:
-	uscan --download-current-version --rename --force-download
