=== debian/changelog ===
snappy-java (1.1.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jun 2020 23:21:05 +0200
