=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libmaven-bundle-plugin-java,
  libsnappy-dev,
  maven-debian-helper
