## snappy-java 1.1.7.7

=== debian/changelog ===
snappy-java (1.1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Sep 2020 17:59:23 +0200
