=== debian/changelog ===
snappy-java (1.1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Set the source/target level to Java 8
  * Remove the prebuilt binaries from the upstream tarball
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Jan 2021 09:56:08 +0100
