=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libmaven-bundle-plugin-java,
  libsnappy-dev,
  maven-debian-helper
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/java-team/snappy-java
 Vcs-Git: https://salsa.debian.org/java-team/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java
