## snappy-java 1.1.8.3.1

=== debian/changelog ===
snappy-java (1.1.8.3.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Mon, 25 Jul 2022 16:38:04 +0800

snappy-java (1.1.8.3.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Mon, 16 May 2022 02:09:31 +0800
